Bug 1305516 - Autotype {DELAY} not functioning properly
Autotype {DELAY} not functioning properly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
24
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 08:25 EST by James Boyle
Modified: 2017-08-08 08:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:45:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Boyle 2016-02-08 08:25:13 EST
Description of problem:
The Fedora repositories forced the upgrade of keepassx version 1 to version 2.  Autotype sequences with that used {DELAY} worked as expected (delays occurred between keystrokes) in version 1.  In version, the {DELAY} is not honored and keypresses are sent at full speed.  I had been able to use keepassx v1 with virt-viewer and VMs, but now passwords are sent at full speed and and keystrokes are lost by the VM.  This also affects autotype with certain websites that employ javascript with their login authentication.

Version-Release number of selected component (if applicable):
keepassx-2.0.0-1.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a keepassx entry
2. Configure autotype sequence with {DELAY=500}
3. Perform autotype

Actual results:
Keypresses occur as fast as is possible; e.g. a 20 character password is sent in less than one second.

Expected results:
A delay of 0.5 seconds (500ms) should take place between keypresses.  The entire entry of a 20 character password should take a minimum 9.5 seconds in total, when {DELAY=500}.


Additional info:
I noticed this because the feature worked properly in KeepassX 1 and KeepassX was upgraded by Fedora to version 2 by default.
Comment 1 Fedora End Of Life 2016-11-24 10:27:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 James Boyle 2016-11-30 10:38:58 EST
Issue continues to exist with keepassx-2.0.3-1.fc24.x86_64 (Fedora 24)
Comment 3 Fedora End Of Life 2017-07-25 15:54:16 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:45:01 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.